UL(1)

BEZEICHNUNG
ul - Unterstreichungen vornehmen

ÜBERSICHT
ul [Optionen] [Datei …]

BESCHREIBUNG
ul liest die benannten Dateien (oder die Standardeingabe, wenn keine Dateien angegeben sind) und übersetzt die vorkommenden Unterstriche in die Sequenz, die Unterstreichung für das verwendete Terminal bedeutet, wie es in der Umgebungsvariable TERM festgelegt ist. Die terminfo-Datenbank wird gelesen, um die entsprechenden Sequenzen für Unterstreichungen zu ermitteln. Wenn das Terminal zu Unterstreichungen nicht fähig ist, aber einen Hervorhebungsmodus beherrscht, dann wird stattdessen dieser verwendet. Wenn das Terminal Überschreiben beherrscht oder Unterstreichungen automatisch vornimmt, wird ul auf das Verhalten von cat(1) zurückgesetzt. Wenn das Terminal nicht unterstreichen kann, werden Unterstreichungen ignoriert.

OPTIONEN

-i, --indicated
    bewirkt, dass Unterstreichungen durch eine separate Zeile dargestellt werden, die entsprechende Bindestriche »-« enthält. Dies ist nützlich, wenn Sie die Unterstreichung in einem nroff-Ausgabedatenstrom auf einem Bildschirmterminal ansehen wollen.

-t, -T, --terminal Terminal
    setzt die Umgebungsvariable TERM außer Kraft und auf den angegebenen Terminal-Typ.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

UMGEBUNGSVARIABLEN
Die folgende Umgebungsvariable wird verwendet:

TERM
    Die Variable TERM dient dazu, den Bezug eines TTY-Gerätes zur Beschreibung seiner Geräte-Fähigkeiten herzustellen (siehe terminfo(5)). TERM wird zum Zeitpunkt der Anmeldung gesetzt, entweder durch den in /etc/ttys angegebenen Standard-Terminaltyp oder während des Anmeldevorgangs durch den Benutzer in der login-Datei (siehe setenv(1)).

SIEHE AUCH
colcrt(1), login(1), man(1), nroff(1), setenv(1), terminfo(5)

FEHLER
nroff gibt üblicherweise eine Reihe von Rückschritten und Unterstrichen mit dem Text vermischt aus, um Unterstreichungen anzugeben. Es wird kein Versuch unternommen, die Rückwärtsbewegung zu optimieren.

GESCHICHTE
Der Befehl ul erschien in 3.0BSD.

VERFÜGBARKEIT
Der Befehl ul ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/) heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.